package com.dgtly.companyext.service;

import com.dgtly.companyext.domain.CompanyExamine;
import com.dgtly.companyext.domain.CompanyReviewed;
import java.util.List;

/**
 * 商户扩展信息Service接口
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public interface ICompanyReviewedService
{
    /**
     * 查询商户扩展信息
     * 
     * @param id 商户扩展信息ID
     * @return 商户扩展信息
     */
    public CompanyReviewed selectCompanyReviewedById(Long id);

    /**
     * 查询商户扩展信息列表
     * 
     * @param companyReviewed 商户扩展信息
     * @return 商户扩展信息集合
     */
    public List<CompanyReviewed> selectCompanyReviewedList(CompanyReviewed companyReviewed);

    /**
     * 新增商户扩展信息
     * 
     * @param companyReviewed 商户扩展信息
     * @return 结果
     */
    public int insertCompanyReviewed(CompanyReviewed companyReviewed);

    /**
     * 修改商户扩展信息
     * 
     * @param companyReviewed 商户扩展信息
     * @return 结果
     */
    public int updateCompanyReviewed(CompanyReviewed companyReviewed);

    /**
     * 批量删除商户扩展信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanyReviewedByIds(String ids);

    /**
     * 删除商户扩展信息信息
     * 
     * @param id 商户扩展信息ID
     * @return 结果
     */
    public int deleteCompanyReviewedById(Long id);

    /**
     * 查询商户扩展信息
     *
     * @param companyId 商户ID
     * @return 商户扩展信息
     */
    public CompanyReviewed selectCompanyReviewedByCompanyId(Long companyId);

    /**
     * @descption: 商家入驻时检测商户管理员是否在企业待审核列表中存在
     * @param:
     * @return:
     * @auther: qxp
     * @date: 2020-2-25
     */
    public String checkLoginNameUnique(String loginName);


    /**
     * @descption: 查询待审核列表，未审核排在前面
     * @param:
     * @return:
     * @auther: qxp
     * @date: 2020-2-25
     */
    public List<CompanyReviewed> selectCompanyReviewedListWiteAudit(CompanyReviewed companyReviewed);


    /**
     * @descption: 拒绝申请
     * @param:
     * @return:
     * @auther: qxp
     * @date: 2020-2-25
     */
    public int refuse(CompanyExamine companyExamine);

    /**
     * @descption: 查询入驻申请公示列表
     * @param:
     * @return:
     * @auther: qxp
     * @date: 2020/3/3 13:25
     */
    List<CompanyReviewed> selectEnterPublicityList();

    /**
     * @descption: 查询商户信息变更记录
     * @param:
     * @return:
     * @auther: qxp
     * @date: 2020/3/3 13:25
     */
    List<CompanyReviewed> selectCompanyReviewedListById(CompanyReviewed cr);
}
